Subject: Objects added to a repository are not found if repository doesn't follow naming conventions
Description

We have a model called \F3\TYPO3\Domain\Model\Structure\Site and a repository called
\F3\TYPO3\Domain\Repository\SiteRepository.

Note that the repository doesn't follow the naming conventions – it should rather be called
\F3\TYPO3\Domain\Repository\Structure\SiteRepository.

If a Site object is added to the (first) repository, it will be sucessfully stored in the CR. However, executing findAll() on the repository
won't return any object because the repository's createQuery() method assumes the correct (second) repository name. This is a good
thing but should also be enforced while adding objects.

Solution:
Define the model class name during construction / initialization of the repository and use that name everywhere in the repository
functions to check objects passed to the repository against it.

Associated revisions
Revision eff687d8 - 2009-07-23 17:46 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Persistence): when handing objects over to a Repository instance their type is now checked against the type managed by the
Repository instance, fixes #3837.

Revision 09998409 - 2009-07-23 17:47 - Karsten Dambekalns

[~BUGFIX] FLOW3 (Persistence): when handing objects over to a Repository instance their type is now checked against the type managed by the
Repository instance, fixes #3837.

Revision b3bfc47f - 2009-07-23 17:55 - Karsten Dambekalns

[~BUGFIX] FLOW3 (Persistence): Fixed two tests I overlooked, relates to #3837.

History
#1 - 2009-07-13 10:56 - Robert Lemke
- Assigned To set to Karsten Dambekalns

#2 - 2009-07-23 16:47 - Karsten Dambekalns
- Status changed from New to Accepted
#3 - 2009-07-23 18:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2877.
